package com.example.tasks.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import com.example.tasks.screens.HistoryStaff
import com.example.tasks.screens.TasksStaff
import com.example.tasks.screens.WorkingStaff

@Composable
fun BottomNavGraphStaff(navController: NavHostController, surname:String, name:String, patronymic:String, navController2: NavHostController) {
    NavHost(
        navController = navController,
        startDestination = Screen.TasksStaff.route,
    ) {
        composable(Screen.TasksStaff.route){
            TasksStaff(name = name, surname = surname, patronymic = patronymic, navController2)
        }

        composable(Screen.WorkingStaff.route){
            WorkingStaff(name = name, surname = surname, patronymic = patronymic, navController2)
        }
        composable(Screen.HistoryStaff.route){
            HistoryStaff(surname, name, patronymic)
        }
    }
}